org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class PDFourColours

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDFourColours

All Implemented Interfaces:
  COSObjectable

    public class PDFourColours
    extends Object
    implements COSObjectable

An object for four colours.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDFourColours()`
`PDFourColours(COSArray array)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDGamma` `getAfterColour()` Gets the colour for the after edge.
`PDGamma` `getBeforeColour()` Gets the colour for the before edge.
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`PDGamma` `getEndColour()` Gets the colour for the end edge.
`PDGamma` `getStartColour()` Gets the colour for the start edge.
`void` `setAfterColour(PDGamma colour)` Sets the colour for the after edge.
`void` `setBeforeColour(PDGamma colour)` Sets the colour for the before edge.
`void` `setEndColour(PDGamma colour)` Sets the colour for the end edge.
`void` `setStartColour(PDGamma colour)` Sets the colour for the start edge.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFourColours

    public PDFourColours()

#### PDFourColours

    public PDFourColours(COSArray array)

### Method Detail

#### getBeforeColour

    public PDGamma getBeforeColour()

Gets the colour for the before edge.

Returns:
  the colour for the before edge

#### setBeforeColour

    public void setBeforeColour(PDGamma colour)

Sets the colour for the before edge.

Parameters:
  `colour` - the colour for the before edge

#### getAfterColour

    public PDGamma getAfterColour()

Gets the colour for the after edge.

Returns:
  the colour for the after edge

#### setAfterColour

    public void setAfterColour(PDGamma colour)

Sets the colour for the after edge.

Parameters:
  `colour` - the colour for the after edge

#### getStartColour

    public PDGamma getStartColour()

Gets the colour for the start edge.

Returns:
  the colour for the start edge

#### setStartColour

    public void setStartColour(PDGamma colour)

Sets the colour for the start edge.

Parameters:
  `colour` - the colour for the start edge

#### getEndColour

    public PDGamma getEndColour()

Gets the colour for the end edge.

Returns:
  the colour for the end edge

#### setEndColour

    public void setEndColour(PDGamma colour)

Sets the colour for the end edge.

Parameters:
  `colour` - the colour for the end edge

#### getCOSObject

    public COSBase getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.